Bug 1843387 - The metrics expression is not shown in the input textarea after deleting the metrics expression
Summary: The metrics expression is not shown in the input textarea after deleting the ...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-03 08:04 UTC by Junqi Zhao
Modified: 2020-09-14 14:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: on selecting of a metric and QueryEditor shows query if user deletes/modifies it and select same metric again QueryEditor doesn't get updated Consequence: Query Input text area not shows query if it's cleared by user and tried to select to same Query again Fix: on change/select of metric update the QueryEditor again Result: Query Input text area shows query if it's cleared by user and tried to select to same Query again
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6478 None closed Bug 1843387: update queryInput on change to pre-fill Query 2020-09-14 13:42:09 UTC

Description Junqi Zhao 2020-06-03 08:04:36 UTC
Description of problem:
Goto Dev Console, click "Monitoring" and select any project, then click the "Metrics" tab, click "Show PromQL" button, select any defined metrics from the dropdown list, example: CPU Usage
after the graph is shown, click "x" button in the metrics input text area to remove expression, select "CPU Usage" again, the metrics expression is not shown in the metrics input text area

Version-Release number of selected component (if applicable):
4.5.0-0.nightly-2020-06-01-165039

How reproducible:
always

Steps to Reproduce:
1. See the description
2.
3.

Actual results:
The metrics expression is not shown

Expected results:
Should be shown

Additional info:

Comment 4 Junqi Zhao 2020-09-14 14:16:17 UTC
tested with 4.6.0-0.nightly-2020-09-12-230035, followed the steps in Comment 0, issue is fixed


Note You need to log in before you can comment on or make changes to this bug.